# Thorn Avery

<img width="256" align="left" src="https://git.avery.garden/thorn/.profile/media/branch/mistress/greeting.png">

## Computers

NixOS is really cool! I love the flexibility and stability it offers, and theres so many cool and fun things to do with it.

I adore Meta-Circular, Self-Reflective programming languages  such as Black, Purple and 3Lisp. I'd love to make one myself one day :)

Functional programming is a lot of fun! I implore everyone to try it.

Here are a few of the projects here that I think are neat :)

[terribleAssembly](https://git.avery.garden/thorn/terribleAssembly) is an assembly based animation engine for the original gameboy, its probably a bit too large for general use but im happy with it regardless, one of these days ill make a full game (when i find the time ;0;)

[cellularAutomata](https://git.avery.garden/thorn/cellularAutomata) is a comonad based cellular automata simulation in Haskell, the rendering could be a lot more efficient but the alg itself is actually pretty fast!

[collatz](https://git.avery.garden/thorn/collatz) is a program to run the collatz series (3n + 1) but done with type level metaprogramming in Haskell

[libPicrew](https://git.avery.garden/thorn/libPicrew) is a nix library for creating derivations that will build picrew avatars (read, compose transparent pngs in a picrewish way) because for some reason i wanted to declaritively maintain my set of avatars haha. the image on this page was made with it!

## Games

I really enjoy programming in LR35902 Assembly for the Nintendo Gameboy. I helped to make the following Pokemon romhack:

* [Kanto Expansion Pak](https://github.com/PlagueVonKarma/kep-hack)

Look for my name in the credits!

## Socials

* [Fedi](https://avery.garden/thorn)
